@version 2.0
@script modeler
@warnings

main
{
	return if(!pointcount());
	selmode(USER);
	axis = integer(recall("Axis",2));
	sides = integer(recall("Sides",24));
	startangle = integer(recall("StartAngle",0.0));
	endangle = integer(recall("EndAngle",360.0));

	reqbegin("Lathe(i) fmano:2001");

	a00 = ctlchoice("Lathe At",1,@"Geometry","Zero Axis"@);
	a0 = ctlchoice("Axis",axis,@"X","Y","Z"@);
	a1 = ctlchoice("Sense",3,@"-","+","mid"@);
	a2 = ctlinteger("Sides",sides);
	a3 = ctlnumber("Start Angle",startangle);
	a4 = ctlnumber("End Angle",endangle);

	return if(!reqpost());

	ref = getvalue(a00);
	store("Axis",(axis = getvalue(a0)));
	store("Sides",(sides = getvalue(a2)));
	store("StartAngle",(startangle = getvalue(a3)));
	store("EndAngle",(endangle = getvalue(a4)));
	sense = getvalue(a1);

	reqend();

	selhide(UNSELECTED);
	if(ref == 1)
	{
		bb = boundingbox();
		center = center(bb);
		if(sense == 1)
			s = bb[1];
		if(sense == 2)
			s = bb[2];
		if(sense == 3)
			s = center;
	}
	if(ref == 2)
		s = <0.0,0.0,0.0>;
		
	selpolygon(SET);

	lathe(axis,sides,s,endangle,startangle);
	selunhide();
}
