@version 2.0
@warnings
@script modeler

main
{
	selmode(USER);
	return if(!pointcount());

	reqbegin("Mirror(i) : fmano 2001");
	
	z = ctlchoice("Mode",1,@"Mirror","Rotate"@);
	a1 = ctlchoice("Axis",1,@"X","Y","Z"@);
	a2 = ctlchoice("Side",3,@"-","+","="@);
	a3 = ctlnumber("Angle (Rotate)",0.0);
	a4 = ctlcheckbox("Leave Original",0);

	return if(!reqpost());

	mode = getvalue(z);
	axis = getvalue(a1);
	side = getvalue(a2);
	angle = getvalue(a3);
	lorig = getvalue(a4);

	reqend();

	selhide(UNSELECTED);
	bb = boundingbox();
	center = center(bb);

	if(side == 1)
	{
		s = bb[1].x if(axis == 1);
		s = bb[1].y if(axis == 2);
		s = bb[1].z if(axis == 3);
	}
	if(side == 2)
	{
		s = bb[2].x if(axis == 1);
		s = bb[2].y if(axis == 2);
		s = bb[2].z if(axis == 3);
	}
	if(side == 3)
	{
		s = center.x if(axis == 1);
		s = center.y if(axis == 2);
		s = center.z if(axis == 3);
	}

	if(lorig == 2)
		copy();
	if(mode == 2)
		rotate(angle,axis,center);
	if(mode == 1)
	{
		editbegin();
		foreach(x,points)
		{
			p = pointinfo(x);
			if(axis == 1)
				p.x = -((p.x - s) - s);
			if(axis == 2)
				p.y = -((p.y - s) - s);
			if(axis == 3)
				p.z = -((p.z - s) - s);
			pointmove(x,p);
		}
		editend();
	}

	if(lorig == 2)
		paste();
	
	selunhide();
}
