@version 2.0
@warnings
@script modeler

main
{
	selmode(USER);
	pc = editbegin();
	return if(pc < 3);

	base = pointinfo(points[1]);
	dulo = pointinfo(points[2]);
	goal = pointinfo(points[3]);
	baseID = points[1];

	if(dulo.x != base.x)
		scalex = (goal.x - base.x) / (dulo.x - base.x);
	else
		scalex = 1.0;
	if(dulo.y != base.y)	
		scaley = (goal.y - base.y) / (dulo.y - base.y);
	else
		scaley = 1.0;
	if(dulo.z != base.z)
		scalez = (goal.z - base.z) / (dulo.z - base.z);
	else
		scalez = 1.0;

	editend();

	reqbegin("ScaleToFit : fmano2001",TRUE);
	reqsize(200,130);
	a3 = ctlchoice("Type",1,@"Stretch","Scale"@);
	a0 = ctlcheckbox("X Axis",0);
	a1 = ctlcheckbox("Y Axis",0);
	a2 = ctlcheckbox("Z Axis",0);
	t1 = ctlnumber("::  ",scalex);
	t2 = ctlnumber("::  ",scaley);
	t3 = ctlnumber("::  ",scalez);
	ctlposition(a3,5,0);
	ctlposition(a0,35,20);
	ctlposition(a1,35,40);
	ctlposition(a2,35,60);
	ctlposition(t1,100,20);
	ctlposition(t2,100,40);
	ctlposition(t3,100,60);

	if(reqpost())
	{
		qx = getvalue(a0);
		qy = getvalue(a1);
		qz = getvalue(a2);
		ss = getvalue(a3);
	}
	else
		return;

	reqend();

	if(!qx)
		scalex = 1.0;
	if(!qy)
		scaley = 1.0;
	if(!qz)
		scalez = 1.0;
		

	if(ss == 2)
	{
		if(qx)
			scalez = scaley = scalex;
		if(qy)
			scalez = scalex = scaley;
		if(qz)
			scaley = scalex = scalez;
	}

	scaleVector = <scalex,scaley,scalez>;

	selpoint(CLEAR);
	selpoint(SET,POINTID,baseID);
	selpoint(SET,CONNECT);
	scale(scaleVector,base);
	selpoint(CLEAR);
}
