@version 2.0
@script modeler
@warnings

main
{
	return if(!pointcount());
	selmode(USER);
	x = integer(recall("XC",3));
	y = integer(recall("YC",3));
	z = integer(recall("ZC",3));
	scalex = number(recall("ScaleX",1.0));
	scaley = number(recall("ScaleY",1.0));
	scalez = number(recall("ScaleZ",1.0));

	reqbegin("Scale(i) fmano:2001");

	a0 = ctlchoice("X Sense",3,@"-","+","="@);
	a1 = ctlchoice("Y Sense",3,@"-","+","="@);
	a2 = ctlchoice("Z Sense",3,@"-","+","="@);
	b1 = ctlnumber("X Scale",scalex);
	b2 = ctlnumber("Y Scale",scaley);
	b3 = ctlnumber("Z Scale",scalez);

	return if(!reqpost());

	store("XC",(x = getvalue(a0)));
	store("YC",(y = getvalue(a1)));
	store("ZC",(z = getvalue(a2)));
	store("ScaleX",(scalex = getvalue(b1)));
	store("ScaleY",(scaley = getvalue(b2)));
	store("ScaleZ",(scalez = getvalue(b3)));
	
	reqend();

	selhide(UNSELECTED);
	scale = <scalex,scaley,scalez>;
	bb = boundingbox();
	center = center(bb);
	
	if(x == 1)
		sx = bb[1].x;
	if(x == 2)
		sx = bb[2].x;
	if(x == 3)
		sx = center.x;

	if(y == 1)
		sy = bb[1].y;
	if(y == 2)
		sy = bb[2].y;
	if(y == 3)
		sy = center.y;

	if(z == 1)
		sz = bb[1].z;
	if(z == 2)
		sz = bb[2].z;
	if(z == 3)
		sz = center.z;

	s = <sx,sy,sz>;

	selpolygon(SET);

	scale(scale,s);
	selunhide();
}
