@if version < 2.1
	weldAvg = false;
@else
	WeldAvg = true;
@end
@version 2.0
@warnings
@script modeler
weldAvg;
main
{
	if(!pointcount())
		return;
	choice = recall("DEFAULT",1);
	selmode(USER);
	pc = editbegin();
	if(pc < 2)
		return;
	if(pc == 2)
	{
		editend();
		weldpoints();
		selpoint(CLEAR);
	}
	else
	{
		i = 0;
		foreach(x,points)
		{
			pnts[++i] = x;
			pv[i] = pointinfo(x);
		}
		editend();
		reqbegin("Weld(i)");
		if(WeldAvg)
			c0 = ctlchoice("Weld Type:",1,@"Weld","Weld Avg"@);
		c1 = ctlchoice("Weld Mode:",1,@"One-to-One","All-to-One"@);
		c2 = ctlcheckbox("Symmetry Enable",choice);
		if(reqpost())
		{
			type = getvalue(c0);
			choice = getvalue(c1);
			sym = getvalue(c2);
			store("DEFAULT",sym);
		}
		else
			return;
		reqend();
		if(choice == 1)
		{
			if(sym)
			{
				selpoint(CLEAR);
				editbegin();
				if(type == 1)
				{
					for(j=1;j<=pnts.size() - 2;j++)
						pointmove(pnts[j],pv[j+2]);
				}
				if(type == 2)
				{
					for(j=1;j<=pnts.size() - 2;j++)
					{
						pointmove(pnts[j],center(pv[j],pv[j+2]));
						pointmove(pnts[j+2],center(pv[j],pv[j+2]));
					}
				}
				editend();
				mergepoints();
			}
			else
			{
				for(j=1;j<pnts.size();j=j+2)
				{
					selpoint(CLEAR);
					selpoint(SET,POINTID,pnts[j]);
					selpoint(SET,POINTID,pnts[j+1]);
					weldpoints() if(type == 1);
					weldaverage() if(type == 2);
				}			
			}
		}
		if(choice == 2)
		{
			weldpoints() if(type == 1);
			weldaverage() if(type == 2);
		}
		selpoint(CLEAR);
	}
}
